Use this endpoint to retrieve all players that are currently playing for a club.
Authentication
All requests must include a valid API key, either as an x-api-key header or as a Bearer token in the Authorization header.
x-api-key: YOUR_API_KEY
# or
Authorization: Bearer YOUR_API_KEY
Request
The SquadAssist club ID. Obtain this from GET /get_clubs_in_competition or from POST /query_club
Response
The current seasonThe club that was just analyzed
An array of player objects, one for each player at the club.
The squadassist_id used in the APIThe full display name of the player.The transfermarkt_id of the playerThe wyscout id of the playerThe first name of the playerThe last name of the player
Example
$headers = @{
"x-api-key" = "your_API_key"
"Content-Type" = "application/json"
}
curl "https://api.squadassist.ai/v1/get_players_at_club?club_id=C01JJBSWKE71ZEN2E52257YQGP5" -H $headers
{
"season": "2025/2026",
"club":
{
"squadassist_id": "C01JJBSWKE71ZEN2E52257YQGP5",
"transfermarkt_id": 520,
"name" : "Cercle Brugge"
},
"players":
[
{
"squadassist_id": "P01J...",
"transfermarkt_id": 175698,
"wyscout_id": 169543,
"first_name": "Nathan",
"last_name": "De Cat",
"alias": "N. De Cat",
"name": "Nathan De Cat",
},
...
]
}